Skip to content

OAuth server · API reference

Exchange a code, refresh, revoke and introspect an OAuth app's tokens.

Exchange a code or a refresh token

POST/oauth/token

https://www.artibox-calendar.com/api/webhooks

Scope : — None: the app identifies itself with client_id and client_secret

Request body

Request example
curl -X POST 'https://www.artibox-calendar.com/api/webhooks/oauth/token' \
  -H 'Content-Type: application/json' \
  -d '{"grant_type":"authorization_code","code":"rdv_code_…","redirect_uri":"https://example.com/oauth/retour","code_verifier":"…","client_id":"rdv_app_…","client_secret":"rdv_cs_…"}'
Response example
{
  "access_token": "rdv_oat_…",
  "token_type": "Bearer",
  "expires_in": 7200,
  "refresh_token": "rdv_ort_…",
  "scope": "types:lire reservations:lire"
}

Responses

  • 200 Success
  • 400 Response
  • 404 Not found (or another organisation's)

Revoke a token (RFC 7009)

POST/oauth/revoke

https://www.artibox-calendar.com/api/webhooks

Scope : — None: the app identifies itself with client_id and client_secret

Request body

Request example
curl -X POST 'https://www.artibox-calendar.com/api/webhooks/oauth/revoke' \
  -H 'Content-Type: application/json' \
  -d '{"token":"rdv_ort_…","client_id":"rdv_app_…","client_secret":"rdv_cs_…"}'
Response example
[]

Responses

  • 200 Success
  • 400 Response
  • 404 Not found (or another organisation's)

Introspect a token (RFC 7662)

POST/oauth/introspect

https://www.artibox-calendar.com/api/webhooks

Scope : — None: the app identifies itself with client_id and client_secret

Request body

Request example
curl -X POST 'https://www.artibox-calendar.com/api/webhooks/oauth/introspect' \
  -H 'Content-Type: application/json' \
  -d '{"token":"rdv_oat_…","client_id":"rdv_app_…","client_secret":"rdv_cs_…"}'
Response example
{
  "active": true,
  "scope": "types:lire",
  "client_id": "rdv_app_…",
  "token_type": "access_token",
  "exp": 1764583200,
  "iat": 1764576000,
  "sub": "0192f0c4-0000-7000-8000-000000000001",
  "username": "lea.bernard@example.com",
  "organization_id": "0192f0a0-0000-7000-8000-0000000000aa"
}

Responses

  • 200 Success
  • 400 Response
  • 404 Not found (or another organisation's)